Bug 66728 - RFE: fill in with existing values
RFE: fill in with existing values
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-14 10:26 EDT by Gene Czarcinski
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-14 13:45:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2002-06-14 10:26:34 EDT
Currently, Xconfigurator starts fresh with parameters even if a
/etc/X11/XF86Config-4 exists.  If the file exists, it should read the file and
fill in the existing values from the file and prompt the user to see if changes
are needed.

There should be a commandline option to start with a "fresh" dfinition.
Comment 1 Brent Fox 2002-06-14 10:54:11 EDT
Alex, doesn't redhat-config-xfree serve this purpose?
Comment 2 Alexander Larsson 2002-06-14 12:51:25 EDT
Yes. That is the idea. In fact that is the only thing it does right now. I'm
adding support for config-from scratch right now.
Comment 3 Gene Czarcinski 2002-06-14 13:45:48 EDT
However, redhat-config-xfree86 currently only works in GUI mode (under Xwindows)
and thus you need a valid config file to run it.  Is this going to be enhanced
with a TUI mode and/or merged with Xconfigurator?
Comment 4 Mike A. Harris 2002-06-14 20:52:28 EDT
As Alex has said, the new X config tool already does this, and that was one
of the primary must-have things for the new tool.  It uses libxf86config
from XFree86 to parse the config file.

There are not any current plans of a text-mode only version of the tool,
and once completed, there should not be any need for a text-mode tool.

We don't need to worry about having a config file.  Anaconda GUI mode,
xf86cfg and various other applications can start up one of the existing
X servers to go to a minimal X server to run a GUI app with, without
having a pile of predetermined config files.  We'll be ok without a
text mode tool.  Also, the time spent maintaining a text mode front-end
in addition to the GUI front-end would be better spent fixing any
bugs that come up in the GUI front-end so that it works on all hardware.
Comment 5 Alexander Larsson 2002-06-17 10:49:21 EDT
It will also have some small amount of command-line support. No TUI is planned.

Note You need to log in before you can comment on or make changes to this bug.